{% extends "index.html" %}
{% block content %}
    {% if perms.ComputerScienceCategory.can_create %}
    <form action="{% url 'category_create' %}" method="get">
        <input class="button-create" id="categ-create" type="submit" value="Create a category">
    </form>
    {% endif %}
    {% if category %}
    <table class="table">
        <thead>
        <tr style="background:#ef4a00;">
            <th>ID</th>
            <th>Name</th>
            <th>Description</th>
            <th>IMG</th>
            <th>Parent category</th>
            <th>Edit</th>
            <th>Delete</th>
        </tr>
        </thead>
        <tbody>
        {% for categ in category %}
            <tr>
                <td>{{ categ.pk }}</td>
                <td>{{ categ.name }}</td>
                <td>{{ categ.description }}</td>
                {% if categ.image.url %}
                    <td><img style="width:50px;height:50px;" src="{{ categ.image.url }}" alt="img"></td>
                {% else %}
                    <td><img style="width:50px;height:50px;" src="#" alt="img"></td>
                {% endif %}
                <td>{{ categ.par_category }}</td>
                <td>{% if perms.Products.can_update %}
                    <a href="{% url 'category_update' categ.pk %}"><i class="far fa-edit"></i></a>{% endif %}</td>
                <td>{% if perms.Products.can_delete %}
                    <a href="{% url "category_delete" categ.pk %}"><i class="far fa-trash-alt"></i></a>{% endif %}</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    {% else %}
    <p>Empty</p>
    {% endif %}
{% endblock %}